import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormStockingPointCapacities extends Form {
  public meStockingPointCapacities = new MatrixEditorStockingPointCapacities();

  public constructor() {
    super('FormStockingPointsCapacities');
  }
}

export class MatrixEditorStockingPointCapacities extends MatrixEditorSOP<DialogDummy> {
  public static readonly title = 'Stocking Points Capacities';

  public constructor() {
    super('MatrixEditorStockingPointsCapacities', 'matrixeditorContextMenuStockingPointsCapacities', new DialogDummy());
  }
}

export const matrixCellDisabledToolTip = {
  notPlanningPeriod: (): string => 'This action can only be performed on planning period.',
};
